xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
CredentialResolver.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/Lockable.h>`

## Classes
class | xmltooling::CredentialResolver
| An API for resolving keys and certificates based on application criteria. More...

## Namespaces
| xmltooling
| Public namespace of XML Tooling library.

## Macros
#define | __xmltooling_credres_h__
#define | FILESYSTEM_CREDENTIAL_RESOLVER "File"
| CredentialResolver based on local files with no criteria support. More...
#define | DUMMY_CREDENTIAL_RESOLVER "Dummy"
| CredentialResolver that returns nothing, for use with some APIs. More...
#define | CHAINING_CREDENTIAL_RESOLVER "Chaining"
| CredentialResolver based on chaining together other resolvers. More...

## Functions
void | xmltooling::registerCredentialResolvers ()
| Registers CredentialResolver classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

An API for resolving keys and certificates based on application criteria.

## Macro Definition Documentation

#define CHAINING_CREDENTIAL_RESOLVER "Chaining"

CredentialResolver based on chaining together other resolvers.

#define DUMMY_CREDENTIAL_RESOLVER "Dummy"

CredentialResolver that returns nothing, for use with some APIs.

#define FILESYSTEM_CREDENTIAL_RESOLVER "File"

CredentialResolver based on local files with no criteria support.